#!/bin/sh

. /lib/functions.sh

xtm_remove_devices() {
	:
}

xtm_create_devices() {
	:
}

xdsl_configure() {
	# Support bridged WAN interface
	ebtables --concurrent -t broute -D BROUTING -p 0xbeed -j DROP 2> /dev/null
	ebtables --concurrent -t broute -I BROUTING -p 0xbeed -j DROP
}

xdsl_stop() {
	return 0
}

xdsl_init() {
	readonly need_xdsl="$(jsonfilter -i /etc/board.json -e @.dsl)"
	[ "$need_xdsl" = "" ] && exit 0

	echo "Starting DSL"
}
